//
//  MainViewController.m
//  Willing
//
//  Created by willingseal on 13-11-17.
//  Copyright (c) 2013年 willingseal. All rights reserved.
//

#import "MainViewController.h"

#import "HomeViewController.h"
#import "NewsViewController.h"
#import "FriendsViewController.h"
#import "PlazaViewController.h"
#import "MoreViewController.h"

#import "BaseNavigationViewController.h"


@interface MainViewController ()

@end

@implementation MainViewController

- (id)initWithNibName:(NSString *)nibNameOrNil bundle:(NSBundle *)nibBundleOrNil
{
    self = [super initWithNibName:nibNameOrNil bundle:nibBundleOrNil];
    if (self) {
        // Custom initialization
    }
    return self;
}

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view.
    [self _initViewController];
    [self _initTabbarView];
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

//初始化view controller
-(void) _initViewController {
    
    HomeViewController *homeVC = [[HomeViewController alloc]init];
    NewsViewController *newsVC = [[NewsViewController alloc]init];
    FriendsViewController *friendsVC = [[FriendsViewController alloc] init];
    PlazaViewController *plazaVC = [[PlazaViewController alloc] init];
    MoreViewController *moreVC = [[MoreViewController alloc]init];
    
    NSArray *array = @[homeVC,newsVC,friendsVC,plazaVC,moreVC];
    
    NSMutableArray *viewControllerArray = [NSMutableArray arrayWithCapacity:5];
    
    for (UIViewController *viewController in array) {
        BaseNavigationViewController *nav = [[BaseNavigationViewController alloc]initWithRootViewController:viewController];
        [viewControllerArray addObject:nav];
    }
    
    self.viewControllers = viewControllerArray;
    
}

//自定义tabbar
-(void) _initTabbarView {
    
    _tabbarView = [[UIView alloc] initWithFrame:CGRectMake(0, kScreenHeight - 49, 320, 49)];
    _tabbarView.backgroundColor = [UIColor colorWithPatternImage:[UIImage imageNamed:@"tabbar_background.png"]];
    [self.view addSubview:_tabbarView];
    
    NSArray *backgroundImage = @[@"tabbar_home.png",@"tabbar_message_center.png",@"tabbar_profile.png",@"tabbar_discover.png",@"tabbar_more.png"];
    NSArray *heightBackgroundImage =@[@"tabbar_home_highlighted.png",@"tabbar_message_center_highlighted.png",@"tabbar_profile_highlighted.png",@"tabbar_discover_highlighted.png",@"tabbar_more_highlighted.png"];
    
    for (int i = 0; i < [backgroundImage count]; i ++ ) {
        
        NSString *backImage = backgroundImage[i];
        NSString *heightImage = heightBackgroundImage [i];
        
        UIButton *button = [UIButton buttonWithType:UIButtonTypeCustom];
        button.frame = CGRectMake((320/5 - 30)/2 + (64*i), (49 - 30)/2, 30, 30);
        button.tag = i;
        [button setImage:[UIImage imageNamed:backImage] forState:UIControlStateNormal];
        [button setImage:[UIImage imageNamed:heightImage] forState:UIControlStateHighlighted];
        [button addTarget:self action:@selector(tap:) forControlEvents:UIControlEventTouchUpInside];
        [_tabbarView addSubview:button];
    
        
    }
 
}

-(void)tap:(UIButton *)button {

    NSLog(@"tap a button");
    
    self.selectedIndex = button.tag;//让button有一个tabbar控制器的功能
    
    

}







@end
